'use strict'

module.exports = {
	"parser": "babel-eslint",
	"ecmaFeatures": {
		"modules": true,
	},
	"env": {
		"node": true,
	},
	"extends": "eslint:recommended",
	"rules": {
		"comma-dangle": [1, "only-multiline"],
		"curly": 2,
		"eqeqeq": [2, "smart"],
		"indent": [2, "tab"],
		"quotes": [1, "single"],
		"key-spacing": [2, {"beforeColon": false, "afterColon": true}],
		"linebreak-style": [1, "unix"],
		"object-curly-spacing": [2, "always"],
		"no-console": 0,
		"no-invalid-this": 2,
		"no-magic-numbers": 1,
		"no-multi-spaces": 1,
		"no-use-before-define": 1,
		"semi": [2, "always"],
		"strict": [1, "safe"],
		"space-before-function-paren": 1,
		"space-in-parens": [2, "never"],
		"space-infix-ops": 2,
		"space-unary-ops": 2,
		"spaced-comment": 1,
		"valid-jsdoc": 1,
	}
}